@media (min-width: 1920px) {
    .max-width {
        max-width: 1920px;
        margin: 0 auto;
    }

    .pokemon-list {
        border-top-left-radius: 50px;
        border-top-right-radius: 50px;
    }

    .load-more-container {
        border-bottom-left-radius: 50px;
        border-bottom-right-radius: 50px;
        min-height: 50px;
        background-color: #05171F;
    }

    body {
        background-color: #092129;
    }
}

@media (max-width: 850px) {
    header {
        flex-direction: column;
        gap: 10px;
    }
}

@media (max-width: 500px) {
    header input {
        width: 270px;
    }

    .pokemon-overlay-frame {
        width: 300px;
        transform: scale(0.8);
    }

    .pokemon-overlay-nav button {
        font-size: 1rem;
    }
}